apiVersion: v1
kind: Pod
metadata:
  annotations:
    openshift.io/scc: privileged
  creationTimestamp: "2025-02-14T13:33:25Z"
  generateName: submariner-gateway-
  labels:
    app: submariner-gateway
    controller-revision-hash: 76dc8fbd7c
    gateway.submariner.io/node: worker0.rdr-blue-site-svl-2.cp.fyre.ibm.com
    gateway.submariner.io/status: active
    pod-template-generation: "1"
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:generateName: {}
        f:labels:
          .: {}
          f:app: {}
          f:controller-revision-hash: {}
          f:pod-template-generation: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"68ee5a7e-60d3-4169-a40a-04195df2f9e6"}: {}
      f:spec:
        f:affinity:
          .: {}
          f:nodeAffinity:
            .: {}
            f:requiredDuringSchedulingIgnoredDuringExecution: {}
          f:podAntiAffinity:
            .: {}
            f:requiredDuringSchedulingIgnoredDuringExecution: {}
        f:containers:
          k:{"name":"submariner-gateway"}:
            .: {}
            f:env:
              .: {}
              k:{"name":"AIR_GAPPED_DEPLOYMENT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"BROKER_K8S_APISERVER"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"BROKER_K8S_APISERVERTOKEN"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"BROKER_K8S_CA"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"BROKER_K8S_INSECURE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"BROKER_K8S_REMOTENAMESPACE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"BROKER_K8S_SECRET"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"CE_IPSEC_DEBUG"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"CE_IPSEC_FORCEENCAPS"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"CE_IPSEC_NATTPORT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"CE_IPSEC_PREFERREDSERVER"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"CE_IPSEC_PSK"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"CE_IPSEC_PSKSECRET"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NODE_NAME"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef: {}
              k:{"name":"POD_NAME"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef: {}
              k:{"name":"SUBMARINER_BROKER"}:
                .: {}
                f:name: {}
              k:{"name":"SUBMARINER_CABLEDRIVER"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"SUBMARINER_CLUSTERCIDR"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"SUBMARINER_CLUSTERID"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"SUBMARINER_COLORCODES"}:
                .: {}
                f:name: {}
              k:{"name":"SUBMARINER_DEBUG"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"SUBMARINER_GLOBALCIDR"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"SUBMARINER_HALT_ON_CERT_ERROR"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"SUBMARINER_HEALTHCHECKENABLED"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"SUBMARINER_HEALTHCHECKINTERVAL"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"SUBMARINER_HEALTHCHECKMAXPACKETLOSSCOUNT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"SUBMARINER_METRICSPORT"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"SUBMARINER_NAMESPACE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"SUBMARINER_NATENABLED"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"SUBMARINER_SERVICECIDR"}:
                .: {}
                f:name: {}
                f:value: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:ports:
              .: {}
              k:{"containerPort":4490,"protocol":"UDP"}:
                .: {}
                f:containerPort: {}
                f:hostPort: {}
                f:name: {}
                f:protocol: {}
              k:{"containerPort":4500,"protocol":"UDP"}:
                .: {}
                f:containerPort: {}
                f:hostPort: {}
                f:name: {}
                f:protocol: {}
            f:resources: {}
            f:securityContext:
              .: {}
              f:allowPrivilegeEscalation: {}
              f:capabilities:
                .: {}
                f:add: {}
                f:drop: {}
              f:privileged: {}
              f:readOnlyRootFilesystem: {}
              f:runAsNonRoot: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/etc/ipsec.d"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/lib/modules"}:
                .: {}
                f:mountPath: {}
                f:name: {}
                f:readOnly: {}
              k:{"mountPath":"/run/secrets/submariner.io/submariner-broker-secret"}:
                .: {}
                f:mountPath: {}
                f:name: {}
                f:readOnly: {}
              k:{"mountPath":"/var/lib/ipsec/nss"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/var/run/secrets/submariner.io/submariner-ipsec-psk"}:
                .: {}
                f:mountPath: {}
                f:name: {}
                f:readOnly: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:hostNetwork: {}
        f:nodeSelector: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext: {}
        f:serviceAccount: {}
        f:serviceAccountName: {}
        f:terminationGracePeriodSeconds: {}
        f:tolerations: {}
        f:volumes:
          .: {}
          k:{"name":"brokersecret"}:
            .: {}
            f:name: {}
            f:secret:
              .: {}
              f:defaultMode: {}
              f:secretName: {}
          k:{"name":"ipsecd"}:
            .: {}
            f:emptyDir: {}
            f:name: {}
          k:{"name":"ipsecnss"}:
            .: {}
            f:emptyDir: {}
            f:name: {}
          k:{"name":"libmodules"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"psksecret"}:
            .: {}
            f:name: {}
            f:secret:
              .: {}
              f:defaultMode: {}
              f:secretName: {}
    manager: kube-controller-manager
    operation: Update
    time: "2025-02-14T13:33:24Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"PodReadyToStartContainers"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:hostIPs: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.17.82.86"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    subresource: status
    time: "2025-02-14T13:33:26Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          f:gateway.submariner.io/node: {}
          f:gateway.submariner.io/status: {}
    manager: submariner-gateway
    operation: Update
    time: "2025-02-14T13:33:26Z"
  name: submariner-gateway-t95cp
  namespace: submariner-operator
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: DaemonSet
    name: submariner-gateway
    uid: 68ee5a7e-60d3-4169-a40a-04195df2f9e6
  resourceVersion: "80074414"
  uid: f9cef810-9afd-42b0-9ac5-e180d2cd72f4
spec:
  affinity:
    nodeAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
        nodeSelectorTerms:
        - matchFields:
          - key: metadata.name
            operator: In
            values:
            - worker0.rdr-blue-site-svl-2.cp.fyre.ibm.com
    podAntiAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
      - labelSelector:
          matchLabels:
            app: submariner-gateway
        topologyKey: kubernetes.io/hostname
  containers:
  - env:
    - name: SUBMARINER_NAMESPACE
      value: submariner-operator
    - name: SUBMARINER_CLUSTERCIDR
      value: 10.254.0.0/16
    - name: SUBMARINER_SERVICECIDR
      value: 172.30.0.0/16
    - name: SUBMARINER_GLOBALCIDR
      value: 242.1.0.0/16
    - name: SUBMARINER_CLUSTERID
      value: rdr-blue-site-svl-2
    - name: SUBMARINER_COLORCODES
    - name: SUBMARINER_DEBUG
      value: "false"
    - name: SUBMARINER_NATENABLED
      value: "true"
    - name: AIR_GAPPED_DEPLOYMENT
      value: "false"
    - name: SUBMARINER_BROKER
    - name: SUBMARINER_CABLEDRIVER
      value: libreswan
    - name: BROKER_K8S_APISERVER
      value: ##redacted-api-server##
    - name: BROKER_K8S_APISERVERTOKEN
      value: ##redacted-token##
    - name: BROKER_K8S_REMOTENAMESPACE
      value: submariner-k8s-broker
    - name: BROKER_K8S_CA
      value: ##redacted-ca##
    - name: BROKER_K8S_INSECURE
      value: "false"
    - name: BROKER_K8S_SECRET
      value: submariner-broker-secret
    - name: CE_IPSEC_PSK
      value: ##redacted-ipsec-psk##
    - name: CE_IPSEC_PSKSECRET
      value: submariner-ipsec-psk
    - name: CE_IPSEC_DEBUG
      value: "false"
    - name: SUBMARINER_HEALTHCHECKENABLED
      value: "true"
    - name: SUBMARINER_HEALTHCHECKINTERVAL
      value: "1"
    - name: SUBMARINER_HEALTHCHECKMAXPACKETLOSSCOUNT
      value: "5"
    - name: SUBMARINER_METRICSPORT
      value: "32780"
    - name: SUBMARINER_HALT_ON_CERT_ERROR
      value: "false"
    - name: NODE_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: spec.nodeName
    - name: POD_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.name
    - name: CE_IPSEC_NATTPORT
      value: "4500"
    - name: CE_IPSEC_PREFERREDSERVER
      value: "false"
    - name: CE_IPSEC_FORCEENCAPS
      value: "false"
    image: quay.io/submariner/submariner-gateway:0.19.0
    imagePullPolicy: IfNotPresent
    name: submariner-gateway
    ports:
    - containerPort: 4500
      hostPort: 4500
      name: cable-encaps
      protocol: UDP
    - containerPort: 4490
      hostPort: 4490
      name: natt-discovery
      protocol: UDP
    resources: {}
    securityContext:
      allowPrivilegeEscalation: true
      capabilities:
        add:
        - net_admin
        drop:
        - all
      privileged: true
      readOnlyRootFilesystem: false
      runAsNonRoot: false
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /etc/ipsec.d
      name: ipsecd
    - mountPath: /var/lib/ipsec/nss
      name: ipsecnss
    - mountPath: /lib/modules
      name: libmodules
      readOnly: true
    - mountPath: /run/secrets/submariner.io/submariner-broker-secret
      name: brokersecret
      readOnly: true
    - mountPath: /var/run/secrets/submariner.io/submariner-ipsec-psk
      name: psksecret
      readOnly: true
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-phj5d
      readOnly: true
  dnsPolicy: ClusterFirstWithHostNet
  enableServiceLinks: true
  hostNetwork: true
  imagePullSecrets:
  - name: submariner-gateway-dockercfg-f8vr9
  nodeName: worker0.rdr-blue-site-svl-2.cp.fyre.ibm.com
  nodeSelector:
    submariner.io/gateway: "true"
  preemptionPolicy: PreemptLowerPriority
  priority: 0
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext: {}
  serviceAccount: submariner-gateway
  serviceAccountName: submariner-gateway
  terminationGracePeriodSeconds: 1
  tolerations:
  - operator: Exists
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/disk-pressure
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/pid-pressure
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/unschedulable
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/network-unavailable
    operator: Exists
  volumes:
  - emptyDir: {}
    name: ipsecd
  - emptyDir: {}
    name: ipsecnss
  - hostPath:
      path: /lib/modules
      type: DirectoryOrCreate
    name: libmodules
  - name: brokersecret
    secret:
      defaultMode: 420
      secretName: submariner-broker-secret
  - name: psksecret
    secret:
      defaultMode: 420
      secretName: submariner-ipsec-psk
  - name: kube-api-access-phj5d
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-02-14T13:33:26Z"
    status: "True"
    type: PodReadyToStartContainers
  - lastProbeTime: null
    lastTransitionTime: "2025-02-14T13:33:25Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2025-02-14T13:33:26Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2025-02-14T13:33:26Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2025-02-14T13:33:25Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://1f07454743619703c97f3e7999cfe1c820cc951dc7cc1a8437ef5395eb4281d1
    image: quay.io/submariner/submariner-gateway:0.19.0
    imageID: quay.io/submariner/submariner-gateway@sha256:1156931a6bd9a2640b7fa4e3b7fa43b20a141ff884012b36667447b698d59321
    lastState: {}
    name: submariner-gateway
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2025-02-14T13:33:25Z"
  hostIP: 10.17.82.86
  hostIPs:
  - ip: 10.17.82.86
  phase: Running
  podIP: 10.17.82.86
  podIPs:
  - ip: 10.17.82.86
  qosClass: BestEffort
  startTime: "2025-02-14T13:33:25Z"
